Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.axf.space
Class Location3DIntegerAdapter

    java.lang.Object
      org.eclipse.amp.axf.space.Location1DIntegerAdapter
          org.eclipse.amp.axf.space.Location2DIntegerAdapter
              org.eclipse.amp.axf.space.Location3DIntegerAdapter

All Implemented Interfaces:
  ILocation, ILocation1D, ILocation2D

    public abstract class Location3DIntegerAdapter

extends Location2DIntegerAdapter
implements ILocation2D

A marker interface. The measures are not defined.

Author:
  mparker

Field Summary

Fields inherited from interface org.eclipse.amp.axf.space.ILocation
`NOT_LOCATED`

Constructor Summary
`Location3DIntegerAdapter()`

Method Summary
`java.lang.Object` | `getZ()`
`double` | `getZDouble()`
`abstract int` | `getZInteger()`

Methods inherited from class org.eclipse.amp.axf.space.Location2DIntegerAdapter
`getY, getYDouble, getYInteger`

Methods inherited from class org.eclipse.amp.axf.space.Location1DIntegerAdapter
`getX, getXDouble, getXInteger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.amp.axf.space.ILocation2D
`getY, getYDouble, getYInteger`

Methods inherited from interface org.eclipse.amp.axf.space.ILocation1D
`getX, getXDouble, getXInteger`

Constructor Detail

### Location3DIntegerAdapter

    public Location3DIntegerAdapter()

Method Detail

### getZ

    public final java.lang.Object getZ()

  Returns:
  See Also:
    `ILocation2D.getY()`

### getZInteger

    public abstract int getZInteger()

  Returns:
  See Also:
    `ILocation2D.getYInteger()`

### getZDouble

    public final double getZDouble()

  Returns:
  See Also:
    `ILocation2D.getYDouble()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD